#  User  Rating 

1  tourist  3757 
2  jiangly  3647 
3  Benq  3581 
4  orzdevinwang  3570 
5  Geothermal  3569 
5  cnnfls_csy  3569 
7  Radewoosh  3509 
8  ecnerwala  3486 
9  jqdai0815  3474 
10  gyh20  3447 
#  User  Contrib. 

1  maomao90  171 
2  awoo  164 
2  adamant  164 
4  TheScrasse  159 
5  nor  154 
5  maroonrk  154 
7  isthisfft  152 
8  Petr  147 
9  orz  146 
10  pajenegod  145 
0
TL in H is so tight. I have $$$O(nm2^k)$$$ solution but it doesn't pass :( Guess it's because of using stack. 
0
It can be solved using centroid decomposition and some hardcoding but we don't have enough time to finish the solution. 
+8
Is there any info about prize distribution? 
+21
You can't make submissions. 
+8
You need to place '#' at (0,0), (h1,0), (0,w1), (h1,w1) and you will get AC because we can go there from any position. 
+10
From König's theorem we know that number of vertexes in minimal cover equals to number of edges in maximum matching. So total number of vertex is sum of vertex in minimum cover and maximal independent set so we have this equation. 
0
Maximum independent set = total vertexes — edges in maximum matching 
+22

+7
IgorI orz 
+1
Spent two and a half hours figuring out that a fake eulerian cycle edge can be between vertices in the same component. :( 
+15
And these two accounts have the same code for all the problems of practice contest.... Now it's obvious that it's cheating. 
+1

+44

+5
Oh, I checked your code and you have changed
to
First one is bad, because C++ will do == first and only then &. 
0
For sure, you have overflow with (1ll<<i) 
0

0
What is "doubling" from problem D's editorial? 
+8
One of them is me) Actually I would be able to finish with full solution, if I know that my approach passes first subtask, but anyway I'm happy with 6th place) 
0
There was one more day later :) 
On
nikolapesic2802 →
Increase the chance of a random algorithm passing by abusing TLE verdict on Codeforces, 4 years ago
0
There are no hacks at Codejam so you can't solve this problem like this 
+8
I wish to have at least one more round summertime 
+6
Got 457 lines of code in F) 
0
It's actually the same because $$$\binom{n}{k}=\binom{n}{nk}$$$ 
+21
Observe, that if you pick set of numbers, there can be only one possible array, so you just need to count number to choose n elements from 1 to m, it is exactly $$$\binom{n+m1}{n}\le 92378$$$ 
+5
1e10 I guess, because you need to pass at least 1e8 numbers (to get out from 99XXXXXXXX and 100XXXXXXXX) 
On
dreamoon_love_AA →
Codeforces Round #631 (Div. 1 and Div. 2) — Thanks, Denis aramis Shitov!, 4 years ago
+10
Yours cool too! 
On
dreamoon_love_AA →
Codeforces Round #631 (Div. 1 and Div. 2) — Thanks, Denis aramis Shitov!, 4 years ago
+10
More participants make pretests weaker 
0
Sorry, I forgot what the taks is, I counted all the subsequences that equal to given string 
+1
24 I guess 
+1
There was systesting 
+3
Let dp[k][i][j] will be number of valid arrays with length k and with a[k]=i and b[k]=j; So to get dp[k][i][j] we need all the dp[k1][l][r] with l<=i and r>=j. How can we calculate it fast? Let's do 2*D prefix sums on dp[k1][i][j] for all possible i and j. So formula is: dp[k][i][j]=pref[i][n]pref[i][j1]. Where pref[x][y] is sum of all dp[k1][i][j] where i<=x and j<=y. https://codeforces.com/contest/1288/submission/68798026 
+9
Am I the only one who did C with 2D prefix sums?) 
0
I guess bfs from all vertixes has O(n^2) complexity, because we have linear number of total edges. (Each vertex has no more than 4 edges, so there are no more than 2*n edges) 
0
It works only for tree 
+16
Very sad, that the only wrong answer of my solution for C is n=5 :( 
On
MikeMirzayanov →
Codeforces Round 606(Div.1, Div.2) and Technocup — Elimination Round 4, 4 years ago
+45
Can you, please, open test's verdicts 
+4
String's beauty is number of minimal balances, if balance of all string is 0; (Balance is number of '(' on prefix minus number of ')' on prefix) 
0
If y=k*w+r and x=x0 — solution, so: y=r and x=x0+k*d — solution too, because: r + (x0+k*d)<r+x0+k*w<=n (This thing reminded me about Pell's equation xD) 
+3
string *_* 
0
1 2 3 6 8 > 1 2 3 0 2 > 1 1 2 0 2 > 0 0 0 0 0 // done 
0
Solution got TL on tests with large input, so the problem is how to read a lot of data fast. You can read how the thing above optimizes the time here: https://en.cppreference.com/w/cpp/io/ios_base/sync_with_stdio (Using of printf and scanf usually fixes all the issues connected with input/output, so by using them you can protect yourself from stupid TLs) 
+3
No 
+3
Hey, I have one strange question for problem D. Is it not ok that my solution doesn't submit because it prints 0 instead of 0, or i should remember this feature of C++ for the next time? Here is the code: https://codeforces.com/contest/1186/submission/56215735 (Please rejudge it if it was unexpected mistake) 
Name 
